clear all;
close all;
%-------------------------------------------------------------------------------------------
X = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46; 
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46;
     0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];
 
Xrow = [0.30 0.31 0.32 0.33 0.34 0.35 0.36 0.37 0.38 0.39 0.40 0.41 0.42 0.43 0.44 0.45 0.46];

Ycol =[
118.7
120.6625
122.625
124.5875
126.55
128.5125
130.475
132.4375
134.4
136.3625
138.325
140.2875
142.25
144.2125
146.175
148.1375
150.1
]';
 
Y = [Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol Ycol]*10^9;

x = reshape(X,17,17)';

y = reshape(Y,17,17)';

z = [
0.000512315	0.000531767	0.000553689	0.000578512	0.000606775	0.000639162	0.000676547	0.000720075	0.00077127	0.000832204	0.000905779	0.000996178	0.00110967	0.00125607	0.00145175	0.00172607	0.00213765;
0.000511037	0.000530495	0.000552421	0.000577244	0.000605505	0.000637883	0.000675255	0.000718763	0.000769929	0.000830827	0.000904352	0.000994683	0.00110808	0.00125437	0.00144988	0.00172398	0.00213521;
0.000509835	0.000529302	0.000551232	0.000576058	0.000604316	0.000636689	0.000674051	0.000717542	0.000768685	0.000829549	0.000903029	0.000993301	0.00110662	0.0012528	0.00144817	0.00172205	0.00213298;
0.000508708	0.000528182	0.000550119	0.000574948	0.000603207	0.000635576	0.00067293	0.000716408	0.00076753	0.000828366	0.000901806	0.000992027	0.00110528	0.00125136	0.0014466	0.00172029	0.00213094;
0.000507649	0.000527134	0.000549078	0.000573911	0.000602172	0.00063454	0.000671887	0.000715355	0.000766461	0.000827272	0.00090068	0.000990854	0.00110404	0.00125004	0.00144516	0.00171869	0.0021291;
0.000506658	0.000526153	0.000548105	0.000572945	0.000601209	0.000633577	0.000670921	0.000714382	0.000765474	0.000826265	0.000899645	0.000989779	0.00110291	0.00124884	0.00144386	0.00171725	0.00212744;
0.000505731	0.000525236	0.000547198	0.000572045	0.000600314	0.000632685	0.000670028	0.000713483	0.000764566	0.000825341	0.000898697	0.000988799	0.00110189	0.00124775	0.00144268	0.00171594	0.00212595;
0.000504865	0.000524382	0.000546354	0.000571209	0.000599485	0.000631859	0.000669204	0.000712657	0.000763733	0.000824496	0.000897834	0.000987909	0.00110096	0.00124677	0.00144162	0.00171478	0.00212464;
0.000504057	0.000523587	0.00054557	0.000570435	0.000598719	0.000631099	0.000668447	0.000711899	0.000762971	0.000823727	0.00089705	0.000987104	0.00110012	0.00124589	0.00144068	0.00171375	0.00212347;
0.000503305	0.000522848	0.000544843	0.000569719	0.000598012	0.0006304	0.000667752	0.000711208	0.000762279	0.00082303	0.000896344	0.000986382	0.00109938	0.00124511	0.00143985	0.00171285	0.00212247;
0.000502606	0.000522164	0.000544172	0.00056906	0.000597363	0.00062976	0.000667119	0.000710579	0.000761652	0.000822402	0.000895711	0.000985738	0.00109872	0.00124442	0.00143913	0.00171207	0.00212161;
0.000501958	0.000521531	0.000543553	0.000568454	0.000596769	0.000629176	0.000666545	0.000710012	0.000761089	0.000821842	0.000895149	0.000985171	0.00109814	0.00124383	0.00143851	0.00171141	0.00212089;
0.000501359	0.000520947	0.000542985	0.0005679	0.000596228	0.000628647	0.000666026	0.000709502	0.000760588	0.000821344	0.000894654	0.000984677	0.00109764	0.00124332	0.00143798	0.00171086	0.00212031;
0.000500808	0.000520412	0.000542465	0.000567395	0.000595738	0.000628169	0.000665561	0.000709048	0.000760144	0.000820909	0.000894225	0.000984252	0.00109722	0.0012429	0.00143755	0.00171043	0.00211986;
0.000500302	0.000519923	0.000541993	0.000566938	0.000595296	0.000627742	0.000665148	0.000708648	0.000759756	0.000820532	0.000893859	0.000983894	0.00109687	0.00124255	0.00143722	0.00171009	0.00211953;
0.000499839	0.000519478	0.000541564	0.000566527	0.0005949	0.000627363	0.000664784	0.000708299	0.000759422	0.000820211	0.000893553	0.000983601	0.00109659	0.00124228	0.00143696	0.00170986	0.00211933;
0.000499418	0.000519075	0.000541179	0.000566159	0.00059455	0.00062703	0.000664468	0.000708	0.000759139	0.000819947	0.000893304	0.00098337	0.00109637	0.00124209	0.0014368	0.00170972	0.00211924];

%-------------------------------------------------------------------------------------------
% Plot: lambda(E,nu)
figure(1)
% tiledlayout(2,1)
% % Top plot
% ax1 = nexttile;
% stem(ax1,y,z)

% % Bottom plot
% ax2 = nexttile;  
% stem3(ax2,x,y,z,'MarkerFaceColor','r')

stem3(x,y,z,...
    'LineStyle','--',...
    'Marker','h',...
    'MarkerEdgeColor','[0.4660 0.6740 0.1880]',...
    'MarkerFaceColor','[0.4660 0.6740 0.1880]')

zlim([0.0003 0.00213765])
ylim([118.7E9 150.1E9])
xlim([0.3 0.46])

xticks([0.30 0.32 0.35 0.38 0.40 0.43 0.46])
yticks([118.7E9 125.0E9 130.0E9 135.0E9 140.0E9 145.0E9 150.1E9])
zticks([0.000499418 0.00075 0.001 0.0013 0.0016 0.0019 0.00213765])

title('Strain energy density $\mathcal{E}(E,\nu)$ - High load - noDoped-20Al-LLZO','interpreter','latex','FontSize',12);
ylabel('Young $E \ [N/m^2]$','interpreter','latex','FontSize',12); 
xlabel('Poisson $\nu \ [-]$','interpreter','latex','FontSize',12);
zlabel('$\mathcal{E} (E,\nu)$','interpreter','latex','FontSize',12);

set(gca,'TickLabelInterpreter','latex');
view([37 46]);
% pure view of E
% view([90 0]);
% pure view of nu
% view([0 0]);
grid on
set(gcf,'renderer','Painters')
print -depsc -tiff -r300 -painters Highload_20AlDoped_strainenergy_LLZO_48e_fAl.eps
print -dpng Highload_20AlDoped_strainenergy_LLZO_48e_fAl.png